package de.firstdata.ipg.api.client.action.object;

import javax.xml.datatype.XMLGregorianCalendar;

import de.firstdata.ipg.api.client.action.GetLastOrdersAction;

public class GetLastOrdersActionObject extends IPGAPIActionObject implements GetLastOrdersAction {

	public GetLastOrdersActionObject() {
		getGetLastOrders();
	}

	@Override
	public void setStoreId(final String storeID) {
		getGetLastOrders().setStoreId(storeID);
	}

	@Override
	public void setCount(final Integer value) {
		getGetLastOrders().setCount(value);
	}

	@Override
	public void setDateRange(final XMLGregorianCalendar dateFrom, final XMLGregorianCalendar dateTo) {
		getGetLastOrders().setDateFrom(dateFrom);
		getGetLastOrders().setDateTo(dateTo);
	}

	@Override
	public void setOrderID(final String orderID) {
		getGetLastOrders().setOrderID(orderID);
	}

	@Override
	public de.firstdata.ipg.api.schema.GetLastOrders getGetLastOrders() {
		if (this.getLastOrders == null) {
			this.getLastOrders = new de.firstdata.ipg.api.schema.GetLastOrders();
		}
		return this.getLastOrders;
	}
}
