package de.firstdata.ipg.api.client.transaction.creditcard.setter;

import java.net.URL;

import de.firstdata.ipg.api.schema.Secure3DAuthenticationRequest;
import de.firstdata.ipg.api.schema.Secure3DVerificationRequest;

public interface Secure3DSetter {

	void setAuthenticate3dSecureTransaction(final Boolean value);

	void setTermUrl(final URL value);

	void setThreeDSMethodNotificationURL(final URL threeDSMethodNotificationURL);

	void setThreeDSRequestorChallengeIndicator(final String value);

	void setThreeDSTransType(final String value);

	void setAuthenticationValue(final String value);

	void setPayerAuthenticationResponse(final String value);

	void setVerificationResponse(final String value);

	void setXID(final String value);

	void setDSRPECI(final String value);

	void setSecure3DVerificationRequest(final Secure3DVerificationRequest secure3DVerificationRequest);

	void setSecure3DAuthenticationRequest(final Secure3DAuthenticationRequest secure3DAuthenticationRequest);

	void setOverride3DSCountryExclusion(final boolean value);

	void setSecure3DMethodNotificationStatus(final String secure3DMethodNotificationStatus);

	void setSecure3D2AuthenticationResponse(final String value);

	void setSecure3D2TransactionStatus(final String value);

	void setSecure3DProtocolVersion(final String secure3dProtocolVersion);

	void setAcsTransactionId(final String acsTransactionId);

	void setThreeDSServerTransactionId(final String threeDSServerTransactionId);

	void setDirectoryServerTransactionId(final String directoryServerTransactionId);
}
