package de.firstdata.ipg.api.client.action.object;

import java.math.BigDecimal;

import de.firstdata.ipg.api.client.action.InquiryCardRateAction;
import de.firstdata.ipg.api.schema.RequestCardRateForDCC;

public class InquiryCardRateActionObject extends IPGAPIActionObject implements InquiryCardRateAction {

	public InquiryCardRateActionObject() {
		getGetLastOrders();
	}

	@Override
	public void setStoreId(final String storeID) {
		getRequestCardRateForDCC().setStoreId(storeID);
	}

	@Override
	public void setBaseAmountAndBIN(final BigDecimal baseAmount, final String bIN) {
		getRequestCardRateForDCC().setBaseAmount(baseAmount);
		getRequestCardRateForDCC().setBIN(bIN);

	}

	@Override
	public RequestCardRateForDCC getRequestCardRateForDCC() {
		if (this.requestCardRateForDCC == null) {
			this.requestCardRateForDCC = new RequestCardRateForDCC();
		}
		return this.requestCardRateForDCC;
	}
}
