package de.firstdata.ipg.api.client.transaction.alipay;

import de.firstdata.ipg.api.client.transaction.setter.BasketSetter;
import de.firstdata.ipg.api.client.transaction.setter.BillingSetter;
import de.firstdata.ipg.api.client.transaction.setter.ShippingSetter;
import de.firstdata.ipg.api.client.transaction.setter.TransactionDetailsSetter;

public interface AlipaySaleTransaction extends AlipayTransaction, BasketSetter, BillingSetter, ShippingSetter, TransactionDetailsSetter {

	void setPaymentDataType(final String paymentDataType);

	void setPaymentData(final String paymentData);

	void setOrderTitle(final String orderTitle);

	void setOrderDetail(final String orderDetail);
}
